import theater.*;

import java.util.List;


/**
 * ClickHandler zum Löschen von Damen
 *
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (07.10.2009)
 *
 */
public class DameLoeschen extends ClickHandler {
    public void handleClick(Stage stage, Actor solist, int col, int row,
        List<Component> clickedComponents) {
        MyPerformance perf = (MyPerformance) Performance.getPerformance();

        // während eine Simulation läuft, kann die Aktion nicht ausgeführt werden
        if (perf.isRunning()) {
            return;
        }

        ((Spielfeld) stage).removeDame(row, col);
        stage.remove(stage.getComponentsAt(col, row, Dame.class));
    }
}
